# intern
### an `ia upload` frontend

## What is it?

Example command:

`intern wiki-raininghain.fandom.com "raininghain.fandom.com wikidump" wiki rainingchainfandomcom-20220429-wikidump/ -i="-v"`

outputs:

`ia upload wiki-raininghain.fandom.com rainingchainfandomcom-20220429-wikidump/ --metadata "mediatype:texts" --metadata "title:raininghain.fandom.com wikidump" --metadata "subject:MediaWiki; wiki; wikiteam" -v`

## Why?

I never put metadata in archive.org items. I'm both too lazy and I forget.

intern helps with that.

First, it forces you to add a page title in addition to the identifier, which makes items more human-usable.

Secondly, it has a few presets. The current presets and their effects are:

* web:
    * `mediatype`: `web`
* text:
    * `mediatype`: `texts`
* wiki:
    * `mediatype`: `texts`
    * `subject`: `MediaWiki; wiki; wikiteam`
* none:

Picking a type is required, but if you don't want anything choose `none`. Metadata of presets can be overwritten using the usual --metadata flag.

Passing options (such as `-v`) to ia can be done with the `-i` flag.  
However, you might need to do e.g. `-i=-v` rather than `-i -v` because I'm too lazy to do the one-line fix.

--metadata does not have to be used with `-i` and is not tested that way.

### comments

If you have questions, comments, or fixes, file an Issue or Pull Request! :-)